Package com.mckoi.database

## Interface TransactionModificationListener

    public interface TransactionModificationListener

A listener that is notified of table modification events made by a transaction, both immediately inside a transaction and when a transaction commits. These events can occur either immediately before or immediately after the data is modified or during a commit.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `tableCommitChange​(TableCommitModificationEvent event)` An action for when changes to a table are committed.

### Method Detail

#### tableCommitChange

    void tableCommitChange​(TableCommitModificationEvent event)

An action for when changes to a table are committed. This event occurs after constraint checks, and before the change is actually committed to the database. If this method generates an exception then the change is rolled back and any changes made by the transaction are lost. This action is generated inside a 'commit lock' of the conglomerate, and therefore care should be taken with the performance of this method.

The event object provides access to a SimpleTransaction object that is a read-only view of the database in its committed state (if this operation is successful). The transaction can be used to perform any last minute deferred constraint checks.

This action is useful for last minute abortion of a transaction, or for updating cache information. It can not be used as a triggering mechanism and should never call back to user code.